using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Groups : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
       string sGroup = Request.QueryString["grp"];
       if (sGroup != null)
       {
          int groupId = Convert.ToInt32(sGroup);
          CatalogObject[] subheadings = Catalog.GetSubHeadingsByGroup(groupId);
          foreach (CatalogObject sub in subheadings)
          {
             ListItem li = new ListItem(sub.Name, "SubHeadings.aspx?grp=" + groupId + "&sub=" + sub.Id);
             bulSubHeadings.Items.Add(li);
          }
          labTitle.Text = Catalog.GetGroupNameById(groupId);
       }
          



    }
}
